public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michael Sterrett" <mr_bones_@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: games-fps/ut2003-data/
Date: Tue, 12 Jan 2016 20:51:25 +0000 (UTC)	[thread overview]
Message-ID: <1452631871.7c6ca1960b7c781a42b20062ff665ddadf14c9b8.mr_bones_@gentoo> (raw)

commit:     7c6ca1960b7c781a42b20062ff665ddadf14c9b8
Author:     Michael Sterrett <mr_bones_ <AT> gentoo <DOT> org>
AuthorDate: Tue Jan 12 20:20:17 2016 +0000
Commit:     Michael Sterrett <mr_bones_ <AT> gentoo <DOT> org>
CommitDate: Tue Jan 12 20:51:11 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7c6ca196

games-fps/ut2003-data: EAPI=5

Package-Manager: portage-2.2.26

 games-fps/ut2003-data/ut2003-data-2107.ebuild | 57 ++++++++++++---------------
 1 file changed, 25 insertions(+), 32 deletions(-)

diff --git a/games-fps/ut2003-data/ut2003-data-2107.ebuild b/games-fps/ut2003-data/ut2003-data-2107.ebuild
index 78f5c14..0e600f5 100644
--- a/games-fps/ut2003-data/ut2003-data-2107.ebuild
+++ b/games-fps/ut2003-data/ut2003-data-2107.ebuild
@@ -2,6 +2,7 @@
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
+EAPI=5
 inherit eutils unpacker cdrom games
 
 DESCRIPTION="Unreal Tournament 2003 - Sequel to the 1999 Game of the Year multi-player first-person shooter"
@@ -31,56 +32,49 @@ pkg_setup() {
 src_unpack() {
 	cdrom_get_cds System/Packages.md5 StaticMeshes/AWHardware.usx.uz2 \
 		Extras/MayaPLE/Maya4PersonalLearningEditionEpic.exe
-	unzip "${DISTDIR}"/UT2003CrashFix.zip \
-		|| die "unpacking crash-fix"
+	unzip "${DISTDIR}"/UT2003CrashFix.zip || die
 }
 
 src_install() {
 	insinto "${dir}"
 	# Disk 1
 	einfo "Copying files from Disk 1..."
-	doins -r "${CDROM_ROOT}"/{Animations,ForceFeedback,KarmaData,Maps,Sounds,Textures,Web} || die "copying files"
+	doins -r "${CDROM_ROOT}"/{Animations,ForceFeedback,KarmaData,Maps,Sounds,Textures,Web}
 	insinto "${dir}"/System
-	doins -r "${CDROM_ROOT}"/System/{editorres,*.{bmp,dat,det,est,frt,ini,int,itt,md5,u,upl,url}} || die "copying files"
+	doins -r "${CDROM_ROOT}"/System/{editorres,*.{bmp,dat,det,est,frt,ini,int,itt,md5,u,upl,url}}
 	insinto "${dir}"/Benchmark/Stuff
-	doins -r "${CDROM_ROOT}"/Benchmark/Stuff/* || die "copying benchmark files"
+	doins -r "${CDROM_ROOT}"/Benchmark/Stuff/*
 	cdrom_load_next_cd
 
 	# Disk 2
 	insinto "${dir}"
 	einfo "Copying files from Disk 2..."
-	doins -r "${CDROM_ROOT}"/{Music,Sounds,StaticMeshes,Textures} \
-		|| die "copying files"
+	doins -r "${CDROM_ROOT}"/{Music,Sounds,StaticMeshes,Textures}
 	cdrom_load_next_cd
 
 	# Disk 3
 	einfo "Copying files from Disk 3..."
-	doins -r "${CDROM_ROOT}"/Sounds || die "copying files"
+	doins -r "${CDROM_ROOT}"/Sounds
 
 	# TODO: move this to src_unpack, where it belongs
-	unpack_makeself "${CDROM_ROOT}"/linux_installer.sh \
-		|| die "unpacking linux installer"
-	tar xf "${S}"/ut2003lnxbins.tar \
-		|| die "unpacking original binaries/libraries"
+	unpack_makeself "${CDROM_ROOT}"/linux_installer.sh || die
+	tar xf "${S}"/ut2003lnxbins.tar || die
 
 	# create empty files in Benchmark
 	for j in {CSVs,Logs,Results} ; do
-		mkdir -p "${Ddir}"/Benchmark/${j} || die "creating folders"
-		touch "${Ddir}"/Benchmark/${j}/DO_NOT_DELETE.ME || die "creating files"
+		mkdir -p "${Ddir}"/Benchmark/${j} || die
+		touch "${Ddir}"/Benchmark/${j}/DO_NOT_DELETE.ME || die
 	done
 
 	# Cleaning up our installation
-	rm "${Ddir}"/System/{Build,Def{ault,User},Manifest,UT2003,User}.ini \
-		|| die "deleting ini files"
-	rm -f "${Ddir}"/System/{Core,Engine,Setup,UnrealGame,Window,XGame,XInterface,XWeapons}.{det,est,frt,int,itt,u} || die "deleting files that have been patched"
-	rm -rf "${Ddir}"/Web/ServerAdmin || die "deleting server admin web pages"
-	rm -f "${Ddir}"/System/{Editor,Fire,IpDrv,UnrealEd,Vehicles,XEffects,XPickups,XWebAdmin}.u || die "removing files that will be coming from the patch"
-	rm -f "${Ddir}"/System/{UWeb,XAdmin}.{int,u} || die "removing patched files"
-	rm -f "${Ddir}"/System/GamePlay.{det,itt,u} || die "patch files removal"
-	rm -f "${Ddir}"/System/XMaps.{det,est} "${Ddir}"/System/Xweapons.itt \
-		|| die "removing unused files"
-	rm -f "${Ddir}"/System/Manifest.int "${Ddir}"/System/Packages.md5 \
-		|| die "cleanup"
+	rm "${Ddir}"/System/{Build,Def{ault,User},Manifest,UT2003,User}.ini || die
+	rm -f "${Ddir}"/System/{Core,Engine,Setup,UnrealGame,Window,XGame,XInterface,XWeapons}.{det,est,frt,int,itt,u} || die
+	rm -rf "${Ddir}"/Web/ServerAdmin || die
+	rm -f "${Ddir}"/System/{Editor,Fire,IpDrv,UnrealEd,Vehicles,XEffects,XPickups,XWebAdmin}.u || die
+	rm -f "${Ddir}"/System/{UWeb,XAdmin}.{int,u} || die
+	rm -f "${Ddir}"/System/GamePlay.{det,itt,u} || die
+	rm -f "${Ddir}"/System/XMaps.{det,est} "${Ddir}"/System/Xweapons.itt || die
+	rm -f "${Ddir}"/System/Manifest.int "${Ddir}"/System/Packages.md5 || die
 
 	# install extra help files
 	insinto "${dir}"/Help
@@ -95,13 +89,12 @@ src_install() {
 	doins "${S}"/eula/License.int
 
 	# copying extra/updater
-	doins -r "${S}"/{extras,updater} || die "copying extras/updater"
-	rm -f "${Ddir}"/updater/update || die "removing update"
+	doins -r "${S}"/{extras,updater}
+	rm -f "${Ddir}"/updater/update || die
 
 	# copy libraries
 	exeinto "${dir}"/System
-	doexe "${S}"/System/libSDL-1.2.so.0 \
-		|| die "copying libSDL"
+	doexe "${S}"/System/libSDL-1.2.so.0 || die
 
 	# uncompressing files
 	einfo "Uncompressing files... this may take a while..."
@@ -131,13 +124,13 @@ q
 EOT
 
 	# Here we apply fix for bug #54726
-	dosed "s:UplinkToGamespy=True:UplinkToGamespy=False:" \
-		"${dir}"/System/Default.ini
+	sed -i -e "s:UplinkToGamespy=True:UplinkToGamespy=False:" \
+		"${Ddir}"/System/Default.ini || die
 
 	# now, since these files are coming off a cd, the times/sizes/md5sums wont
 	# be different ... that means portage will try to unmerge some files (!)
 	# we run touch on ${D} so as to make sure portage doesnt do any such thing
-	find "${Ddir}" -exec touch '{}' \;
+	find "${Ddir}" -exec touch '{}' + || die
 
 	prepgamesdirs
 }


             reply	other threads:[~2016-01-12 20:51 UTC|newest]

Thread overview: 6+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-01-12 20:51 Michael Sterrett [this message]
  -- strict thread matches above, loose matches on Subject: below --
2017-12-01 19:31 [gentoo-commits] repo/gentoo:master commit in: games-fps/ut2003-data/ David Seifert
2020-11-23 22:18 James Le Cuirot
2021-04-09 19:33 Sam James
2021-04-09 19:33 Sam James
2021-04-10  6:18 Sam James

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1452631871.7c6ca1960b7c781a42b20062ff665ddadf14c9b8.mr_bones_@gentoo \
    --to=mr_bones_@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox